
Figure - Bug #114458
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】点击应用-查看全部应用页面右上角的搜索按钮，设置崩溃
2022-12-09 16:48 - CD TEST-方永红

Status: CLOSED Start date: 2022-12-09

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212090644

Resolution: FIXED Degrated: No

Severity: Major Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212090644

Reproducibility: Every time Fixed Version: 2022-12-09

Test Type: IT Root cause: 因 UI 适配移除组件不完全导致的崩溃。

Description

【前提条件】

1、设备已开机

【测试步骤】

1、进入设置-应用-查看全部应用页面

2、点击页面右上角的搜索按钮

【预期结果】

2、可对下面的列表进行搜索

【实际结果】

2、点击之后闪退回主页面，重复操作，设置崩溃

PS:设置内有该搜索图标的地方，点击之后都会崩溃

具体见截图

History

#1 - 2022-12-09 18:50 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

169054 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix click toolbar search view crash.TC-RID: 1201-0201813IssueID: TS-R-BUG-114458Change-Id: I5a0a0fe0488f79274a5a14ceec61855c278a83e5

#2 - 2022-12-09 18:52 - CD FW-廖涛

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-12-09
■ Current conclusion

已修复，提交：https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/169054

■ My analysis

因 UI 适配移除组件不完全导致的崩溃。

■ Next action

测试验证。

#3 - 2022-12-12 09:55 - CD FW-廖涛

- Status changed from New to RESOLVED

#4 - 2022-12-12 11:07 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212090644

12.12

验证关闭

#5 - 2022-12-12 11:07 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#6 - 2022-12-21 16:08 - CD FW-廖涛

- Root cause set to 因 UI 适配移除组件不完全导致的崩溃。

Files

Phone-STS40X190122 2022-12-09 16-25-05.mp4 13.7 MB 2022-12-09 CD TEST-方永红

logcat16.txt 4.69 MB 2022-12-09 CD TEST-方永红

搜索2.png 248 KB 2022-12-09 CD TEST-方永红

搜索按钮.png 227 KB 2022-12-09 CD TEST-方永红
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/169054

